{% load static i18n don_extras %}
<li class="card card--horizontal card--padding-md mb-4">
    {% if repository.archived %}
    <div class="card__header card__header--negative-margin">
        <p class="card__header__archived">
            Deze repository wordt niet actief ontwikkeld of onderhouden en is <span title="De gearchiveerde status word gegeven aan projecten waar geen onderhoud op is en input niet word behandeld. Bijvoorbeeld oude en ongebruikte projecten of eenmalige Wet Open Overheid vrijgave.">gearchiveerd</span>.
        </p>
    </div>
    {% endif %}
    <div class="card__body">
        <div class="card__avatar">
            {% if repository.avatar_url %}
            <img src="{{ repository.avatar_url }}" alt="Avatar van {{ repository.name }}"/>
            {% else %}
            <img src="{% static 'images/repository-placeholder.svg' %}" alt=""/>
            {% endif %}
        </div>
        <div class="card__left card__left--full-width">
            <a href="{{ repository.url }}" target="_blank" rel="noopener noreferrer" class="card__link card__link--around-avatar mb-1">{{ owner_name }} / <span class="font-weight-600">{{ repository.name }}</span></a>
            <a href="{{ repository.organization.get_absolute_url }}" class="card__sub-title">{{ repository.organization.name }}</a>
            {% if repository.description %}
            <div class="card__description mb-4">
                {{ repository.description }}
            </div>
            {% else %}
            <div class="card__description mb-4">
                <i>Geen beschrijving ingevuld</i>
            </div>
            {% endif %}
            {% if repository.topics.all %}
            <ul class="topic-list topic-list--multiple-lines mb-3">
                {% for name in repository.topics.all %}
                <li>
                    <a href="{{ request.path_info }}?thema={{ name }}" class="topic-pill pill--clickable">{{ name }}</a>
                </li>
                {% endfor %}
            </ul>
            {% endif %}
            <div class="card__details">
                {% if repository.main_programming_language or stars_url or forks_url or issues_url %}
                <div class="card__details__left">
                    {% if repository.main_programming_language %}
                    <div class="programming-language mr-6">
                        <span class="programming-language__dot" style="background:{{ repository.main_programming_language.color }}"></span>
                        {{ repository.main_programming_language }}
                    </div>
                    {% endif %}
                    {% if stars_url %}
                    <a href="{{ stars_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                        {{ repository.stars }}
                        <svg width="20" height="20" viewBox="0 0 24 24">
                            <path fill="none" d="M0 0h24v24H0z"></path>
                            <path d="M12 18.26l-7.053 3.948 1.575-7.928L.587 8.792l8.027-.952L12 .5l3.386 7.34 8.027.952-5.935 5.488 1.575 7.928L12 18.26zm0-2.292l4.247 2.377-.949-4.773 3.573-3.305-4.833-.573L12 5.275l-2.038 4.42-4.833.572 3.573 3.305-.949 4.773L12 15.968z"></path>
                        </svg>
                    </a>
                    {% endif %}
                    {% if forks_url %}
                    <a href="{{ forks_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                        {{ repository.fork_count }}
                        <svg width="20" height="20" viewBox="0 0 24 24">
                            <path fill="none" d="M0 0h24v24H0z"></path>
                            <path d="M7.105 15.21A3.001 3.001 0 1 1 5 15.17V8.83a3.001 3.001 0 1 1 2 0V12c.836-.628 1.874-1 3-1h4a3.001 3.001 0 0 0 2.895-2.21 3.001 3.001 0 1 1 2.032.064A5.001 5.001 0 0 1 14 13h-4a3.001 3.001 0 0 0-2.895 2.21zM6 17a1 1 0 1 0 0 2 1 1 0 0 0 0-2zM6 5a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm12 0a1 1 0 1 0 0 2 1 1 0 0 0 0-2z"></path>
                        </svg>
                    </a>
                    {% endif %}
                    {% if issues_url %}
                    <a href="{{ issues_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                        {{ repository.issue_open_count }}
                        <svg width="20" height="20" viewBox="0 0 24 24">
                            <path fill="none" d="M0 0h24v24H0z"></path>
                            <path d="M12 20a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm0 2C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zm0-8a2 2 0 1 1 0-4 2 2 0 0 1 0 4z"></path>
                        </svg>
                    </a>
                    {% endif %}
                    {% if merge_requests_url %}
                    <a href="{{ merge_requests_url }}" target="_blank" rel="noopener noreferrer" class="card__details__prop">
                        {{ repository.merge_request_open_count }}
                        <svg width="20" height="20" viewBox="0 0 24 24">
                            <path fill="none" d="M0 0h24v24H0z"></path>
                            <path d="M15 5h2a2 2 0 0 1 2 2v8.17a3.001 3.001 0 1 1-2 0V7h-2v3l-4.5-4L15 2v3zM5 8.83a3.001 3.001 0 1 1 2 0v6.34a3.001 3.001 0 1 1-2 0V8.83zM6 7a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0 12a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm12 0a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"></path>
                        </svg>
                    </a>
                    {% endif %}
                </div>
                {% endif %}
                <div class="card__details__right">
                    <svg width="20" height="20" viewBox="0 0 24 24">
                        <path fill="none" d="M0 0H24V24H0z"></path>
                        <path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12h2c0 4.418 3.582 8 8 8s8-3.582 8-8-3.582-8-8-8C9.25 4 6.824 5.387 5.385 7.5H8v2H2v-6h2V6c1.824-2.43 4.729-4 8-4zm1 5v4.585l3.243 3.243-1.415 1.415L11 12.413V7h2z"></path>
                    </svg>{% language "nl" %}{{ repository.last_change | don_naturaltime }}{% endlanguage %} bijgewerkt
                </div>
            </div>
        </div>
    </div>
</li>
